Package org.apache.synapse.transport.passthru.jmx

# Interface TransportViewMBean

All Known Implementing Classes:
  `TransportView`

public interface TransportViewMBean

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getActiveThreadCount()`
  `double`
  `getAvgSizeReceived()`
  `double`
  `getAvgSizeSent()`
  `long`
  `getBytesReceived()`
  `long`
  `getBytesSent()`
  `long`
  `getFaultsReceiving()`
  `long`
  `getFaultsSending()`
  `long`
  `getLastResetTime()`
  `long`
  `getMaxSizeReceived()`
  `long`
  `getMaxSizeSent()`
  `long`
  `getMessagesReceived()`
  `long`
  `getMessagesSent()`
  `long`
  `getMetricsWindow()`
  `long`
  `getMinSizeReceived()`
  `long`
  `getMinSizeSent()`
  `int`
  `getQueueSize()`
  `Map`
  `getResponseCodeTable()`
  `long`
  `getTimeoutsReceiving()`
  `long`
  `getTimeoutsSending()`
  `void`
  `maintenenceShutdown(long seconds)`
  `void`
  `pause()`
  `void`
  `resetStatistics()`
  `void`
  `resume()`
  `void`
  `start()`
  `void`
  `stop()`

- ## Method Details

  - ### getMessagesReceived

    long getMessagesReceived()

  - ### getFaultsReceiving

    long getFaultsReceiving()

  - ### getTimeoutsReceiving

    long getTimeoutsReceiving()

  - ### getMessagesSent

    long getMessagesSent()

  - ### getFaultsSending

    long getFaultsSending()

  - ### getTimeoutsSending

    long getTimeoutsSending()

  - ### getBytesReceived

    long getBytesReceived()

  - ### getBytesSent

    long getBytesSent()

  - ### getMinSizeReceived

    long getMinSizeReceived()

  - ### getMaxSizeReceived

    long getMaxSizeReceived()

  - ### getAvgSizeReceived

    double getAvgSizeReceived()

  - ### getMinSizeSent

    long getMinSizeSent()

  - ### getMaxSizeSent

    long getMaxSizeSent()

  - ### getAvgSizeSent

    double getAvgSizeSent()

  - ### getActiveThreadCount

    int getActiveThreadCount()

  - ### getQueueSize

    int getQueueSize()

  - ### getResponseCodeTable

    Map getResponseCodeTable()

  - ### start

    void start() throws Exception
    Throws:
      `Exception`

  - ### stop

    void stop() throws Exception
    Throws:
      `Exception`

  - ### pause

    void pause() throws Exception
    Throws:
      `Exception`

  - ### resume

    void resume() throws Exception
    Throws:
      `Exception`

  - ### maintenenceShutdown

    void maintenenceShutdown(long seconds) throws Exception
    Throws:
      `Exception`

  - ### resetStatistics

    void resetStatistics()

  - ### getLastResetTime

    long getLastResetTime()

  - ### getMetricsWindow

    long getMetricsWindow()